Skip to main content
GET
/
v1
/
ui
/
financials
/
cashflow
Get balance & reconciliation data
curl --request GET \
  --url https://api.example.com/v1/ui/financials/cashflow
{
  "current": {
    "openingBalance": 123,
    "paymentsReceived": 123,
    "refundsIssued": 123,
    "platformFees": 123,
    "costsPaid": 123,
    "closingBalance": 123,
    "netChange": 123
  },
  "monthly": [
    {
      "month": "<string>",
      "revenue": {
        "grossRevenue": 123,
        "refunds": 123,
        "platformFees": 123,
        "netRevenue": 123,
        "costOfRevenue": 123,
        "recognisedRevenue": 123,
        "deferredRevenue": 123,
        "hasCostTransactions": true,
        "grossProfit": {},
        "grossMargin": {}
      },
      "balance": {
        "openingBalance": 123,
        "paymentsReceived": 123,
        "refundsIssued": 123,
        "platformFees": 123,
        "costsPaid": 123,
        "closingBalance": 123,
        "netChange": 123
      }
    }
  ],
  "periodLabel": "<string>",
  "currency": "SEK"
}

Query Parameters

period
enum<string>
Available options:
this-month,
last-month,
q1-2026,
last-6-months

Response

200 - application/json

Balance & reconciliation data

current
object
required
monthly
object[]
required
periodLabel
string
required
currency
string
required

ISO 4217 currency code

Example:

"SEK"